<% /*
    $Revision$
    $Id$

    File:           model_mld_vrije_dagen.inc

    Description:    Vanuit CodeCharge gegenereerd model voor mld_vrije_dagen

    Context:

    Notes:
*/
%>
<%

function model_mld_vrije_dagen()
{
    this.table = "mld_vrije_dagen";
    this.primary = "mld_vrije_dagen_key";
    this.records_name = "mld_vrije_dagens";
    this.record_name = "mld_vrije_dagen";
    this.autfunction = "WEB_PRSSYS";
    this.record_title = L("mld_vrije_dagen");
    this.records_title = L("mld_vrije_dagen_m");


    this.fields = {
        "id": {
            "dbs": "mld_vrije_dagen_key",
            "label": "key",
            "typ": "key",
            "hidden_fld": true,
            "required": true,
            "filter": "exact",
            "seq": "mld_s_mld_vrije_dagen_key"
        },
        "day_off": {
            "dbs": "mld_vrije_dagen_datum",
            "label": L("mld_vrije_dagen_datum"),
            "typ": "date",
            "required": true,
            "autosize": true,
            "filter": "range",
            "friendlyname": true
        }
    };

    this.edit = {
        "modal": true
    };

    this.REST_GET    = generic_REST_GET(this);
    this.REST_POST   = generic_REST_POST(this);
    this.REST_PUT    = generic_REST_PUT(this);
    this.REST_DELETE = generic_REST_DELETE(this);
}
%>